{% extends 'base.html.twig' %}

{% block title %}Réalisations
{% endblock %}

{% block body %}
	<!-- ARTICLES -->
	<section class="pt-7 pt-md-10">
		<div class="container">
			<div class="row">
				<div class="col-12">
					<h2 class="mb-0">Dernières réalisations</h2>
					<p class="mb-5 text muted">
						These can be split into smaller grid size
					</p>
				</div>

				{% for peinture in peintures %}
					<div class="col-12 col-md-6 d-flex">
						<div class="card mb-6 shadow-light-lg">
							<a href="{{ path('realisations_details', {'slug': peinture.slug }) }}" class="card-img-top">
								<img src="{{ vich_uploader_asset(peinture,'imageFile') | imagine_filter('miniature') }}" alt="..." class="card-img-top">
							</a>


							<a href="{{ path('realisations_details', {'slug': peinture.slug }) }}" class="card-body">
								<h3>{{ peinture.nom }}</h3>
								<p class="mb-0 text-muted">{{ peinture.description|u.truncate(150,'...', false) }}</p>
							</a>
							<a href="{{ path('realisations_details', {'slug': peinture.slug }) }}" class="card-meta mt-auto">
								<hr class="card-meta-divider">
								<p class="h6 text-uppercase text-muted mb-0 ms-auto">
									<time>Ajoutée le
										{{ peinture.createdAt | date('d/m/Y') }}</time>
								</p>
							</a>
						</div>
					</div>
				{% endfor %}
			</div>
		</div>
		<br>
		<div class="d-flex justify-content-center">
			{% do peintures.setPageRange(4) %}
			{{ knp_pagination_render(peintures,'base/pagination.html.twig') }}
		</div>
	</section>
{% endblock %}
